Subject: Re: bug#69689: 30.0.50; cannot native compile with -flto in native-comp-compiler-options

From: Andrea Corallo <[email-masked]>
Date: Tue, 02 Apr 2024 04:56:48 -0400

StrawberryTea <[email-masked]> writes:

> Björn Bidar <[email-masked]> writes:
>
>> StrawberryTea <[email-masked]> writes:
>>
>>>>
>>>>   Andrea
>>>
>>> I see. I am going to report this to the GCC bug tracker to try and get
>>> it fixed. I would like to use LTO with native compilation, even if it
>>> would not bring any measurable advantages. And I feel there has to be
>>> some GCC person that knows how to fix this.
>>
>> Did you read my mail? I am able to compile elisp files with -flto in
>> native-comp-compiler-options.
>>
>> The errors must be somewhere on your side.
> Oh, I see. I did not read your mail. I am sorry for that. Thank you for
> the information. I will add this to the Gentoo bug report.

Hello all,

I'm closing this as I think this is not an Emacs bug.  Happy to re-open
if we discover it is :)

Thanks

  Andrea